from http.server import HTTPServer, BaseHTTPRequestHandler

class HttpGethandler(BaseHTTPRequestHandler):
    def do_GET(self):
        try:
            if self.path.endswith("/"):
                self.send_response(200)

                self.send_header("Content-type", "text/html")
                self.end_headers()

                http_text = """<html><head><meta charset='utf-8'
                                <title>Простой HTTP-сервер</title></head>
                                <body>Это главная страница.</body></html>"""

                self.wfile.write(http_text.encode())

            if self.path.endswith("/info"):
                self.send_response(200)

                self.send_header("Content-type", "text/html")
                self.end_headers()

                http_text = """<html><head><meta charset='utf-8'
                                <title>Ондар А.В. 701(3)</title></head></html>"""

                self.wfile.write(http_text.encode())

        except IOError:
            self.send_error(400, f"Not found{self.path}")


def main(server_class=HTTPServer, handler_class=HttpGethandler):
    server_address = ('localhost', 8000)
    httpd = server_class(server_address, handler_class)
    try:
        print("Start server!")
        httpd.serve_forever()

    except KeyboardInterrupt:
        httpd.server_close()
        print("Server stop!")


if __name__ == '__main__':
    main()